# BreachWatchレポートコマンド

### BreachWatch レポート <a href="#breach-watch-report" id="breach-watch-report"></a>

エンタープライズ内の全ユーザーに対して BreachWatch のセキュリティレポートを取得します。

<details>

<summary>DotNet CLI</summary>

**コマンド:** `breachwatch-report`

**パラメーター:**

`--format` - 表示形式 (json、table、csv)

`--output` - 出力先ファイルパス

**例:**

```sh
My Vault> breachwatch-report --format csv --output breachwatch_report.csv
```

</details>

<details>

<summary>DotNet SDK</summary>

**近日公開**

</details>

<details>

<summary>PowerCommander</summary>

**コマンド:** `Get-KeeperBreachWatchReport`

**パラメーター:**

`-Format` - 表示形式 (json、table、csv)

`-Output` - 出力先ファイルパス

**例:**

```powershell
PS> Get-KeeperBreachWatchReport -Format json

Security scores pushed to Keeper.
[
  {
    "email": "test@example.com",
    "name": "test",
    "sync_pending": "",
    "at_risk": 170,
    "passed": 1446,
    "ignored": 0
  },
  {
    "email": "test+qa@example.com",
    "name": "testqa",
    "sync_pending": "",
    "at_risk": 4,
    "passed": 0,
    "ignored": 0,
  },
]
```

</details>

<details>

<summary>Python CLI</summary>

**コマンド:** `breach-watch report`

**フラグ:**

`--format` : 出力形式 {table,csv,json,pdf}.\
`--output` : 結果ファイルの出力パス (形式が `table` のときは無視)。<br>

**例:**

```
My Vault> breachwatch report
Generating BreachWatch security audit report...
Saved 31 updated security report(s).

Security Audit Report (BreachWatch)

Email                              Name                   Sync Pending      At Risk    Passed    Ignored
---------------------------------  ---------------------  --------------  ---------  --------  ---------
b.n@keepersecurity.com         b.ranjan                                   0        -4          0
m.i@keepersecurity.com          M.Naqvi                                   0         0          0
a.h@keepersecurity.com       A.Deshmukh      
```

</details>

<details>

<summary>Python SDK</summary>

**関数:**

```python
def run_breachwatch_report(
    enterprise_data: enterprise_types.IEnterpriseData,
    auth: keeper_auth.KeeperAuth,
    node_ids: Optional[List[int]] = None,
    save_report: bool = True,
) -> BreachWatchReportResult:
    generator = BreachWatchReportGenerator(
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.keeper.io/keeperpam/jp/commander-sdk/keeper-commander-sdks/sdk-command-reference/reporting-commands/breach-watch-report-command.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
